package com.xueyi.nlt.api.nlt.domain.vo;


import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Data
@NoArgsConstructor
public class DmLandingLlmVo {
    private String category;
    private List<DmLlm> message = new ArrayList<>();
    @Data
    @NoArgsConstructor
    class DmLlm {
        private String role;
        private String content;
    }

    // 定义创建DmLlm的对象方法，并添加到message中
    public void addDmLlm(String role, String content) {
        DmLlm dmLlm = new DmLlm();
        dmLlm.setRole(role);
        dmLlm.setContent(content);
        message.add(dmLlm);
    }
}
